import React from 'react';
import { Column } from '@tanstack/react-table';
export type ColumnMeta<TData, TValue> = {
    filterType?: 'search' | 'filter';
    customWidth?: number;
    noCellPadding?: boolean;
    actions?: any;
    filterComponent?: React.ComponentType<{
        column: Column<TData, TValue>;
    }>;
};
export interface ColumnHeaderProps<TData, TValue> extends React.HTMLAttributes<HTMLDivElement> {
    column: Column<TData, TValue>;
    children: React.ReactNode;
}
declare const ColumnHeader: <TData, TValue>({ column, children }: ColumnHeaderProps<TData, TValue>) => React.JSX.Element;
export default ColumnHeader;
